<?include('header.php');

if(!(isset($_SESSION["username"]) && isset($_SESSION["password"])))
{
	?>
	<script type="text/javascript">
	location.replace("login.php");
	</script>
	<noscript>
	<meta http-equiv="refresh" content="0; url=login.php">
	</noscript>
	<?
	exit();
}


$user=text($_SESSION["username"]);

require('config.php');
$res=mysql_query("select valutaname from tb_site where id='1'");
$res=mysql_fetch_assoc($res);
$vn=$res["valutaname"];

?>
<div class="menucenter">
<?
if($_POST["action"]!="")
{
	$action=$_POST["action"];
	$id=intval($_POST["id"]);

	if($action=='cancel')
	{
		$res=mysql_query("select iduser from tb_refbirj where id='$id'");
		$res=mysql_fetch_assoc($res);

		$idu=$res["iduser"];

		$res=mysql_query("select referer from tb_users where id='$idu'");
		$res=mysql_fetch_assoc($res);

		$referer=$res["referer"];

		if($user!=$referer)
		{
			echo "<div class=error>Это не Ваш реферал. Вы не можете снять его с продажи</div>";
		}else{
			mysql_query("delete from tb_refbirj where id='$id'");
			echo "<div class=good>Реферал снят с продажи</div>";
		}

	}

	if($action=='ok')
	{
		$res=mysql_query("select * from tb_refbirj where id='$id'");
if (mysql_num_rows($res) > 0){
		$res=mysql_fetch_assoc($res);

		$idu=$res["iduser"];
		$price=$res["price"];

		$rs=mysql_query("select money_cr, referals from tb_users where username='$user'");
		$rs=mysql_fetch_assoc($rs);
		if($rs["money_cr"]<$price)
		{
			echo "<div class=error>На Вашем балансе недостаточно средств для покупки этого реферала</div>";
		}else{
			mysql_query("update tb_users set money_cr=money_cr-$price, referals=referals+1 where username='$user'");

			$res=mysql_query("select * from tb_users where id='$idu'");
			$res=mysql_fetch_assoc($res);

			$referer=$res["referer"];

			mysql_query("update tb_users set referer='$user', doxod='0', buying='3' where id='$idu'");

			//для рефералов 2го уровня
			$userbu=$res["username"];
			mysql_query("UPDATE tb_users SET referer2='$user' WHERE referer='$userbu'"); //покупающий становится реферером второго лвла у всех рефералов покупаемого
			//вот и вся ипатня.
			$res=mysql_query("select price from tb_config where item='refbirjcomm'");
			$res=mysql_fetch_assoc($res);
			$comm=$res["price"]/100;
			$summ = $comm*$price;
			$sumbal = $price - $summ;

			mysql_query("update tb_users set money=money+$sumbal, referals=referals-1 where username='$referer'");
                        $timenow=time();
                        mysql_query("insert into tb_mail (sender,recipient,subject,message,data) values ('Система','$referer','Вы продали реферала','Поздравляем, вы продали своего реферала $userbu за <font color=red>$price</font> руб.','$timenow')");
            $dp=time();
            $sql = "INSERT INTO still_birstatus (`prodovec`, `pocupatel`, `tovar`, `money`, `date`) VALUES ('$referer','$user','$userbu','$price','$dp')";
            mysql_query($sql) or die(mysql_error());

			mysql_query("delete from tb_refbirj where id='$id'");

			echo "<div class=good>Покупка реферала прошла успешно</div>";
		}
}else{
      	echo "<div class=error>Реферал снят с продажи</div>";
      }

	}
}else{
if($_SESSION["sort"]!=$_GET["sort"] and $_GET["sort"]!=""){
  $_SESSION["sort"]=$_GET["sort"];
}
$procent=mysql_query("select price from tb_config where item='refbirjcomm' limit 1");
$pct=mysql_fetch_assoc($procent);
$pokup=mysql_query("select count(id) as pus, sum(money) as pmon from still_birstatus where prodovec='$user'");
$pk=mysql_fetch_assoc($pokup);
$zatrat=mysql_query("select count(id) as zus, sum(money) as zmon from still_birstatus where pocupatel='$user'");
$zt=mysql_fetch_assoc($zatrat);
if($pk["pus"]==1){$opr = "реферал";}elseif($pk["pus"]<=5 and $pk["pus"]>0){$opr = "реферала";}else{$opr = "рефералов";}if($pk["pmon"]==""){$pk["pmon"] = 0;}
if($zt["zus"]==1){$oprz = "реферал";}elseif($zt["zus"]<=5 and $zt["zus"]>0){$oprz = "реферала";}else{$oprz = "рефералов";}if($zt["zmon"]==""){$zt["zmon"] = 0;}
$psum = $pk["pmon"]-($pk["pmon"]*$pct["price"]/100);
?>
<div class='navil'>
Уважаемые пользователи, на Нашей бирже рефералов Вы можете покупать рефералов у других пользователей, а также получать дополнительный доход,
продавая своих рефералов. Выставить рефералов на продажу можно со страницы со списком Ваших рефералов.
<br />
Рефералы в продаже (<font color='green'><b>желтым</b></font> подсвечиваются Ваши рефералы):
</div>

<div class='navil'>
<table width='100%' border='0' cellpadding='0' cellspacing='0'>
<tr>
<td width='49%' style='font-size:11px;'>
<b>Продано:</b> <b style="color:green;"><?=$pk["pus"];?></b> <?=$opr;?> на сумму <b style="color:green;"><?=round($psum,2);?></b> руб.
</td>
<td width='2%'>
</td>
<td width='49%' style='font-size:11px;'>
<b>Куплено:</b> <b style="color:green;"><?=$zt["zus"];?></b> <?=$oprz;?> на сумму <b style="color:green;"><?=round($zt["zmon"],2);?></b> руб.
</td>
</tr>
</table>
</div>
<div class='navil'>
&nbsp;&nbsp;&nbsp;<a href="?sort=money">По цене</a>
&nbsp;&nbsp;&nbsp;<a href="?sort=clic">По визитам</a>
&nbsp;&nbsp;&nbsp;<a href="?sort=pisma">По письмам</a>
&nbsp;&nbsp;&nbsp;<a href="?sort=task">По заданиям</a>
&nbsp;&nbsp;&nbsp;<a href="?sort=refer">По рефералам</a>
&nbsp;&nbsp;&nbsp;<a href="?sort=ball">По баллам</a>
&nbsp;&nbsp;&nbsp;<a href="?sort=dohod">По доходу</a>
&nbsp;&nbsp;&nbsp;<a href="?sort=act">По активности</a>
</div>
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0'>
<thead><tr>
	<th align="center" colspan='7'>Информация</th>
	<th align="left">Цена</th>
	<th align="left"></th>
</tr></thead>
<?
require('karera/setup_status.php');
if($_POST["page"]!="")
{
	$page=$_POST["page"];
}else{
	$page='1';
}

$p1=50*($page-1);

if($_GET["sort"]=="" and $_SESSION["sort"]==""){
   $sort = "tb_refbirj.id";
}elseif($_SESSION["sort"]=="money"){
   $sort = "tb_refbirj.price";
}elseif($_SESSION["sort"]=="clic"){
   $sort = "tb_users.visits";
}elseif($_SESSION["sort"]=="pisma"){
   $sort = "tb_users.views_mails";
}elseif($_SESSION["sort"]=="task"){
   $sort = "tb_users.task";
}elseif($_SESSION["sort"]=="refer"){
   $sort = "tb_users.referals";
}elseif($_SESSION["sort"]=="ball"){
   $sort = "tb_users.ball";
}elseif($_SESSION["sort"]=="dohod"){
   $sort = "tb_users.doxod";
}elseif($_SESSION["act"]=="$nowdate"){
   $sort = "tb_users.lastlogdate";
}

mysql_query("DELETE FROM `tb_refbirj` WHERE `date` + '2678400' < UNIX_TIMESTAMP()");

$res=mysql_query("select tb_refbirj.id as rid, tb_refbirj.price, tb_users.*  from tb_refbirj,tb_users where tb_users.id=tb_refbirj.iduser and tb_users.username!='$user' order by ".$sort." desc limit $p1,50");
while($row=mysql_fetch_assoc($res))
{
	$id=$row["rid"];
        $avatar=$row["avatar"];
	$price=$row["price"];
	$login=$row["username"];
	$seller=$row["referer"];
	$visits=$row["visits"];
        $views_mails=$row["views_mails"];
        $task=$row["task"];
        $questions=$row["questions_user"];
        $down=$row["dow_user"];
	$refs=$row["referals"];
	$vhod=date("H:i", $row["lastvxod"]);
	$regdate=$row["joindate"];
        $doxod=$row["doxod"];
$nowdate1=date("Y.m.d");
$nowdate2=date("Y.m.d", strtotime('-1 day'));
$nowdate3=date("Y.m.d", strtotime('-2 day'));
$gg=$row[lastlogdate];
if($nowdate1==$gg) { $nowdate="<span style='color: #009126'><b>Был сегодня</b> в $vhod</span>"; }
elseif($nowdate2==$gg) { $nowdate="<span style='color: #006699'><b>Был вчера</b> в $vhod</span>"; }
elseif($nowdate3==$gg) { $nowdate="<span style='color: #FF4500'><b>Был Позавчера</b> в $vhod</span>"; }
else{ $nowdate="Активность: $gg"; }
	if($seller==$user) { $cvet='ffc'; }else{ $cvet='ffffff';}

	echo "<tbody><tr>
<td width='54px' bgcolor='#$cvet' align='left'>
<div align='center' style='border: solid 1px #ddd;padding:1px;'>
<img src='avp/$avatar' width='54px' height='54px' />
</div></td>
<td colspan='2' bgcolor='#$cvet' align='left'>Логин: $login<br />
<font color='green'>Рейтинг: ".round($row["ball"],3)."</font>
<br />Продавец: <font color='red'>$seller</font><br />
$nowdate
</td>
<td bgcolor='#$cvet' align='left'>
<font color='#C16605'>Рефералов: $refs чел.</font><br />
Серфинг: $visits 
<br />Письма: $views_mails
<br />Задания: $task
</td>
<td bgcolor='#$cvet' align='left' colspan='3'>
Скачивания: $down
<br />Вопросы: $questions
<br />
<font color='#C16605'>Принёс доход: $doxod руб.</font><br />
<a href='wall.php?user=$login'>Стена Пользователя »</a>
</td>
<td bgcolor='#$cvet' align='left'><font color='green' size='2'><b>$price</b> руб.</font></td>
<td bgcolor='#$cvet' align='left'>";

	if($seller==$user) { $action='cancel'; $caption="images/del_birj.png"; $title="Удалить"; }else{ $action='ok'; $caption="images/birj.png";  $title="Купить"; }
	?>
	<form action="" method="post">
	<input type="hidden" value="<?=$id?>" name="id">
	<input type="hidden" value="<?=$action?>" name="action">
	<input type="image" src="<?=$caption?>" style="border:none;" alt="<?=$title?>" title="<?=$title?>">
	</form>
	</td></tr>
	<?
}
echo "</tbody></table>";

$res=mysql_query("select count(*) from tb_refbirj");
$all=mysql_result($res,0,0);
if($all>0)
{
	$pages=$all/50;
	$pages1=floor($pages);

	if($pages>$pages1)
	{
		$pages=$pages1+1;
	}

	echo "<b>Текущая страница $page из $pages</b><br>
	<form action='' method=post>
	<select name='page'>";
	for($i=1;$i<=$pages;$i++)
	{
		echo "<option value='$i'>$i</option>";
	}

	echo "</select>
	<input type=submit class=ok_wm value='Перейти'></form><br><br>";
}
}
include('footer.php');?>